$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.12.2-RC.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.12.2-RC.msi'
  softwareName = 'Invantive Data Hub'
  checksum = '2389A0E038E9F1989A2CD2EF43B781C41FA937D02298331E4C0D983F05E4D067'
  checksumType = 'sha256'
  checksum64 = '2389A0E038E9F1989A2CD2EF43B781C41FA937D02298331E4C0D983F05E4D067'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.12.2-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
